using namespace std;
#include <iostream>
// pecina
int main() {
    int n; // broj stalaktita
    cin>>n;
    int L; //visina perice
    cin>>L;
    int a[n];//niz za visine
    int br=0;
    for (int i=0; i<n; i++){
        cin>>a[i];
        if(L<a[i]){
            br=br+1;
        }
        else if (L>=a[i]){
            br=br+1;
            break;
        }
    }
    if (br==n){
        cout<<"-1";
    }
    else{
        cout<<br;
    }
}